Delete an alert rule
curl --request DELETE \
--url https://api.phare.io/alert-rules/{alertRuleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.phare.io/alert-rules/{alertRuleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.phare.io/alert-rules/{alertRuleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Unauthorized"
}{
"message": "The platform:write permission is required to perform this action."
}{
"message": "Resource not found"
}{
"message": "This alert rule is used by at least one entity and cannot be deleted."
}Alert Rules
Delete an alert rule
Delete an alert rule by ID
DELETE
/
alert-rules
/
{alertRuleId}
Delete an alert rule
Authorizations
Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.
Headers
A project header is required when using an organization-scoped API key.
Example:
1
A project header is required when using an organization-scoped API key.
Example:
"luminous-guiding-tower"
Path Parameters
ID of the alert rule to delete
Response
Last modified on February 8, 2026
Was this page helpful?
⌘I